#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1483\r"; sleep 2;
echo -e "write (0,1) -1419\r"; sleep 2;
echo -e "write (0,2) -1399\r"; sleep 2;
echo -e "write (0,3) -1166\r"; sleep 2;
echo -e "write (0,4) -1255\r"; sleep 2;
echo -e "write (0,5) -1329\r"; sleep 2;
echo -e "write (0,6) -1271\r"; sleep 2;
echo -e "write (0,9) -1285\r"; sleep 2;
echo -e "write (0,10) -1247\r"; sleep 2;
echo -e "write (0,11) -1226\r"; sleep 2;
echo -e "write (0,12) -1318\r"; sleep 2;
echo -e "write (0,13) -1255\r"; sleep 2;
echo -e "write (0,14) -1429\r"; sleep 2;
echo -e "write (1,0) -1171\r"; sleep 2;
echo -e "write (1,1) -1255\r"; sleep 2;
echo -e "write (1,2) -1451\r"; sleep 2;
echo -e "write (1,3) -1251\r"; sleep 2;
echo -e "write (1,4) -1321\r"; sleep 2;
echo -e "write (1,5) -1421\r"; sleep 2;
echo -e "write (1,6) -1397\r"; sleep 2;
echo -e "write (1,9) -1483\r"; sleep 2;
echo -e "write (1,10) -1258\r"; sleep 2;
echo -e "write (1,11) -1264\r"; sleep 2;
echo -e "write (1,12) -1209\r"; sleep 2;
echo -e "write (1,13) -1298\r"; sleep 2;
echo -e "write (1,14) -1482\r"; sleep 2;
echo -e "write (2,0) -1175\r"; sleep 2;
echo -e "write (2,1) -1325\r"; sleep 2;
echo -e "write (2,2) -1341\r"; sleep 2;
echo -e "write (2,3) -1207\r"; sleep 2;
echo -e "write (2,4) -1517\r"; sleep 2;
echo -e "write (2,5) -1240\r"; sleep 2;
echo -e "write (2,6) -1681\r"; sleep 2;
echo -e "write (2,9) -1202\r"; sleep 2;
echo -e "write (2,10) -1282\r"; sleep 2;
echo -e "write (2,11) -1377\r"; sleep 2;
echo -e "write (2,12) -1217\r"; sleep 2;
echo -e "write (2,13) -1432\r"; sleep 2;
echo -e "write (2,14) -1245\r"; sleep 2;
echo -e "write (3,0) -1345\r"; sleep 2;
echo -e "write (3,1) -1332\r"; sleep 2;
echo -e "write (3,2) -1408\r"; sleep 2;
echo -e "write (3,3) -1302\r"; sleep 2;
echo -e "write (3,4) -1190\r"; sleep 2;
echo -e "write (3,5) -1408\r"; sleep 2;
echo -e "write (3,6) -1283\r"; sleep 2;
echo -e "write (3,9) -1494\r"; sleep 2;
echo -e "write (3,10) -1312\r"; sleep 2;
echo -e "write (3,11) -1419\r"; sleep 2;
echo -e "write (3,12) -1227\r"; sleep 2;
echo -e "write (3,13) -1413\r"; sleep 2;
echo -e "write (3,14) -1190\r"; sleep 2;
echo -e "write (4,0) -1336\r"; sleep 2;
echo -e "write (4,1) -1256\r"; sleep 2;
echo -e "write (4,2) -1254\r"; sleep 2;
echo -e "write (4,3) -1444\r"; sleep 2;
echo -e "write (4,4) -1215\r"; sleep 2;
echo -e "write (4,5) -1306\r"; sleep 2;
echo -e "write (4,6) -1254\r"; sleep 2;
echo -e "write (4,9) -1319\r"; sleep 2;
echo -e "write (4,10) -1498\r"; sleep 2;
echo -e "write (4,11) -1412\r"; sleep 2;
echo -e "write (4,12) -1223\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1600\r"; sleep 2;
echo -e "write (5,6) -1600\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1521\r"; sleep 2;
echo -e "write (5,11) -1320\r"; sleep 2;
echo -e "write (5,12) -1120\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1523\r"; sleep 2;
echo -e "write (6,0) -1553\r"; sleep 2;
echo -e "write (6,1) -1434\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1429\r"; sleep 2;
echo -e "write (6,4) -1417\r"; sleep 2;
echo -e "write (6,5) -1437\r"; sleep 2;
echo -e "write (6,6) -1659\r"; sleep 2;
echo -e "write (6,9) -1651\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1569\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1660\r"; sleep 2;
echo -e "write (6,14) -1499\r"; sleep 2;
echo -e "write (7,0) -1310\r"; sleep 2;
echo -e "write (7,1) -1477\r"; sleep 2;
echo -e "write (7,3) -1351\r"; sleep 2;
echo -e "write (7,4) -1448\r"; sleep 2;
echo -e "write (7,5) -1449\r"; sleep 2;
echo -e "write (7,6) -1655\r"; sleep 2;
echo -e "write (7,8) -1524\r"; sleep 2;
echo -e "write (7,9) -1540\r"; sleep 2;
echo -e "write (7,10) -1430\r"; sleep 2;
echo -e "write (7,11) -1581\r"; sleep 2;
echo -e "write (7,12) -1600\r"; sleep 2;
echo -e "write (7,13) -1576\r"; sleep 2;
echo -e "write (7,14) -1492\r"; sleep 2;
echo -e "write (8,0) -1311\r"; sleep 2;
echo -e "write (8,1) -1402\r"; sleep 2;
echo -e "write (8,2) -1335\r"; sleep 2;
echo -e "write (8,3) -1229\r"; sleep 2;
echo -e "write (8,4) -1461\r"; sleep 2;
echo -e "write (8,5) -1298\r"; sleep 2;
echo -e "write (8,6) -1437\r"; sleep 2;
echo -e "write (8,9) -1237\r"; sleep 2;
echo -e "write (8,10) -1318\r"; sleep 2;
echo -e "write (8,11) -1335\r"; sleep 2;
echo -e "write (8,12) -1429\r"; sleep 2;
echo -e "write (8,13) -1364\r"; sleep 2;
echo -e "write (8,14) -1222\r"; sleep 2;
echo -e "write (9,0) -1300\r"; sleep 2;
echo -e "write (9,1) -1345\r"; sleep 2;
echo -e "write (9,2) -1429\r"; sleep 2;
echo -e "write (9,3) -1505\r"; sleep 2;
echo -e "write (9,4) -1252\r"; sleep 2;
echo -e "write (9,5) -1453\r"; sleep 2;
echo -e "write (9,6) -1520\r"; sleep 2;
echo -e "write (9,9) -1572\r"; sleep 2;
echo -e "write (9,10) -1339\r"; sleep 2;
echo -e "write (9,11) -1477\r"; sleep 2;
echo -e "write (9,12) -1361\r"; sleep 2;
echo -e "write (9,13) -1495\r"; sleep 2;
echo -e "write (9,14) -1283\r"; sleep 2;
echo -e "write (10,0) -1349\r"; sleep 2;
echo -e "write (10,1) -1285\r"; sleep 2;
echo -e "write (10,2) -1157\r"; sleep 2;
echo -e "write (10,3) -1412\r"; sleep 2;
echo -e "write (10,4) -1169\r"; sleep 2;
echo -e "write (10,5) -1298\r"; sleep 2;
echo -e "write (10,6) -1350\r"; sleep 2;
echo -e "write (10,9) -1279\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1464\r"; sleep 2;
echo -e "write (10,12) -1261\r"; sleep 2;
echo -e "write (10,13) -1255\r"; sleep 2;
echo -e "write (10,14) -1489\r"; sleep 2;
echo -e "write (11,0) -1192\r"; sleep 2;
echo -e "write (11,1) -1432\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1394\r"; sleep 2;
echo -e "write (11,5) -1451\r"; sleep 2;
echo -e "write (11,6) -1557\r"; sleep 2;
echo -e "write (11,9) -1191\r"; sleep 2;
echo -e "write (11,10) -1300\r"; sleep 2;
echo -e "write (11,11) -1485\r"; sleep 2;
echo -e "write (11,12) -1208\r"; sleep 2;
echo -e "write (11,13) -1425\r"; sleep 2;
echo -e "write (11,14) -1559\r"; sleep 2;
echo -e "write (11,15) -1607\r"; sleep 2;
echo -e "write (12,1) -1305\r"; sleep 2;
echo -e "write (12,2) -1278\r"; sleep 2;
echo -e "write (12,3) -1249\r"; sleep 2;
echo -e "write (12,4) -1264\r"; sleep 2;
echo -e "write (12,5) -1217\r"; sleep 2;
echo -e "write (12,8) -1273\r"; sleep 2;
echo -e "write (12,9) -1250\r"; sleep 2;
echo -e "write (12,10) -1329\r"; sleep 2;
echo -e "write (12,11) -1452\r"; sleep 2;
echo -e "write (12,12) -1600\r"; sleep 2;
echo -e "write (12,13) -1446\r"; sleep 2;
echo -e "write (12,14) -1581\r"; sleep 2;
echo -e "write (12,15) -1561\r"; sleep 2;
echo -e "write (13,0) -1480\r"; sleep 2;
echo -e "write (13,1) -1364\r"; sleep 2;
echo -e "write (13,2) -1645\r"; sleep 2;
echo -e "write (13,3) -1383\r"; sleep 2;
echo -e "write (13,4) -1261\r"; sleep 2;
echo -e "write (13,5) -1399\r"; sleep 2;
echo -e "write (13,6) -1520\r"; sleep 2;
echo -e "write (13,9) -1491\r"; sleep 2;
echo -e "write (13,10) -1333\r"; sleep 2;
echo -e "write (13,11) -1376\r"; sleep 2;
echo -e "write (13,12) -1326\r"; sleep 2;
echo -e "write (13,13) -1349\r"; sleep 2;
echo -e "write (13,14) -1435\r"; sleep 2;
echo -e "write (14,0) -1388\r"; sleep 2;
echo -e "write (14,1) -1523\r"; sleep 2;
echo -e "write (14,2) -1642\r"; sleep 2;
echo -e "write (14,3) -1383\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1552\r"; sleep 2;
echo -e "write (14,6) -1435\r"; sleep 2;
echo -e "write (14,9) -1680\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1372\r"; sleep 2;
echo -e "write (14,12) -1584\r"; sleep 2;
echo -e "write (14,13) -1486\r"; sleep 2;
echo -e "write (14,14) -1315\r"; sleep 2;
echo -e "write (15,0) -1473\r"; sleep 2;
echo -e "write (15,1) -1455\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
